Packages - Bug #3451

community/bass lacking source code
2023-03-08 11:19 PM - GNUtoo

Status: fixed % Done: 0%
Priority: freedom issue

Assignee: bill-auger

Category:

Description

The source code zip has the following files:

bass-cd-1.2/sky.dnr
bass-cd-1.2/sky.dsk
bass-cd-1.2/readme.txt
bass-cd-1.2/sky.cpt

And the license is the following (from readme.txt):

1) You may distribute this game for free on any medium, provided this readme
and all associated copyright notices and disclaimers are left intact.

2) You may charge a reasonable copying fee for this archive, and may distribute
it in aggregate as part of a larger & possibly commercial software distribution
(such as a Linux distribution or magazine coverdisk). You must provide proper
attribution and ensure this readme and all associated copyright notices, and
disclaimers are left intact.

3) You may not charge a fee for the game itself. This includes reselling the
game as an individual item.

4) You may modify the game as you wish. You may also distribute modified
versions under the terms set forth in this license, but with the additional
requirement that the work is marked with a prominent notice which states that
it is a modified version.

5) All game content is (C) Revolution Software Ltd. The ScummVM engine is (C)
The ScummVM Team (www.scummvm.org)

6) THE GAMEDATA IN THIS ARCHIVE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
IMPLIED WARRANTIES, INCLUDING AND NOT LIMITED TO ANY IMPLIED WARRANTIES OF
MERCHANTIBILITY AND FITNESS FOR A PARTICULAR PURPOSE.

The same readme.txt has:

Some time ago, we (ScummVM) had the good fortune to come in contact with Tony
Warriner at Revolution Software Ltd. With their blessing and support, we then
obtained the original source code for Beneath a Steel Sky and added support for
it to our adventure game interpreter, ScummVM. And now, on the eve of ScummVM
0.5.0 (the first release featuring B.A.S.S support), Revolution Software Ltd.
has decided to release Sky to the public as freeware!

So that is probably OK FSDG wise as this data could be considered as non-functionnal and that we get permissions to redisrtibute it
even commercially.

However AFAIK Parabola has a free culture requirement, so even if we have the right to modify it, we might lack the information to do
that (the source code).

Though maybe some people have more information about the game format and all, so maybe I'm mistaken?
https://downloads.sourceforge.net/scummvm/bass-cd-1.2.zip

History

#1 - 2023-03-09 08:25 AM - bill-auger

On Wed, 08 Mar 2023 23:19:57 +0000 labs@parabola.nu wrote:

3) You may not charge a fee for the game itself. This includes reselling the

game as an individual item.

that is a non-free license, plain and simple

#2 - 2023-03-09 03:42 PM - GNUtoo

- Status changed from unconfirmed to confirmed

Ah indeed, for some reasons | didn't see that part. Since it's considered NC some other FSDG distros also have the issue (Guix, PureOS, Trisquel,

maybe more).

Should we update the [https:/libreplanet.org/wiki/List_of software_that does not_respect_the Free_System_Distribution_Guidelines List of software

that does not respect the Free System Distribution Guidelines] with it as well and ask users to bugreport to other distros as well somehow?

Denis.

#3 - 2023-03-09 04:04 PM - GNUtoo

Here's the status of various distributions: | pisiro Package name Status
Dragora ? Doesn't seems to have
scummvm
Dynebolic ? unlikely to have it
Guix * drascula B 2784
* lure, lure-de, lure-es, lure-fr,
lure-it
* queen, queen-de, queen-fr,
queen-it
* sky
Hyperbola None Seems not to have it (I looked for
sky, bass and beneath)
LibreCMC Seems to lack scummvm I've checked in
packages/mips_24kc/{base,pack
ages}
ProteanOS ? unlikely to have it
Parabola bass Bug #3451, removed from
Parabola
PureOS beneath-a-steel-sky, Need to bugreport or look if it's
probably more already bugreported
Replicant Doesn't have it Doesn't ship scummvm nor that
game
Trisquel: Source packages: bug # 66
* etiona * beneath-a-steel-sky
* nabia * drascula
* aramo * flight-of-the-amazon-queen
* lure-of-the-temptress
Ututo S ? ?

Update 1: Added bug reports and mention that there is more than just beneath-a-steel-sky.

Update 2: bass has been removed from Parabola.
Denis.
#4 - 2023-06-27 01:32 AM - bill-auger

- Assignee set to bill-auger

- Status changed from confirmed to fixed

just to note, this discussion was taken to the FSDG mailing list - unfortunately, the discussion derailed onto the topic of the value of scummvm itself,
and then onto the yet more general topic of all retro emulators and retro gaming; but the original issue of the "no-selling" license is still undecided*
mailto:labs@parabola.nu
https://libreplanet.org/wiki/List_of_software_that_does_not_respect_the_Free_System_Distribution_Guidelines
https://issues.guix.gnu.org/62784
https://labs.parabola.nu/issues/3451
https://gitlab.trisquel.org/trisquel/package-helpers/-/issues/66

why? because the trisquel maintainer suggested that this is the same general case of the SIL OFL fonts license, which was previously determined to

be acceptable? - then RMS suggested to review that decision - FWIW, those OFL fonts are fairly ubiquitous - the impact of over-turning that decision
could be great

but anyways ... 'bass' is gone from parabola now; so i consider this ticket to be closed

[1]: hitps://lists.nongnu.org/archive/html/gnu-linux-libre/2023-06/msg00077.html
[2]: https://lists.nongnu.org/archive/html/gnu-linux-libre/2023-06/msg00084.html
